Closed Bug 1519586 Opened 11 months ago Closed 3 months ago

Intermittent devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:110 - TypeError: browser.documentURI is null

Categories

(DevTools :: General, defect, P2)

defect

Tracking

(firefox-esr68 fixed, firefox69 wontfix, firefox70 fixed, firefox71 fixed)

RESOLVED FIXED
Firefox 71
Tracking Status
firefox-esr68 --- fixed
firefox69 --- wontfix
firefox70 --- fixed
firefox71 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: jdescottes)

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

Filed by: aiakab [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=221416182&repo=autoland

https://queue.taskcluster.net/v1/task/Va5E1a5rQ-WsNJkUSL3Acg/runs/0/artifacts/public/logs/live_backing.log

[task 2019-01-11T23:47:47.667Z] 23:47:47 INFO - TEST-START | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js
[task 2019-01-11T23:47:47.730Z] 23:47:47 INFO - TEST-INFO | started process screentopng
[task 2019-01-11T23:47:48.471Z] 23:47:48 INFO - TEST-INFO | screentopng: exit 0
[task 2019-01-11T23:47:48.471Z] 23:47:48 INFO - Buffered messages logged at 23:47:47
[task 2019-01-11T23:47:48.471Z] 23:47:48 INFO - Entering test bound
[task 2019-01-11T23:47:48.471Z] 23:47:48 INFO - Add an about:blank tab
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Adding a new tab with URL: about:blank
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Tab added and finished loading
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Trigger the toogle toolbox shortcut
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Wait for the about:devtools tab to be selected
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Buffered messages finished
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - TEST-UNEXPECTED-FAIL | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:110 - TypeError: browser.documentURI is null
[task 2019-01-11T23:47:48.477Z] 23:47:48 INFO - Stack trace:
[task 2019-01-11T23:47:48.478Z] 23:47:48 INFO - isAboutDevtoolsTab@chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:110:9
[task 2019-01-11T23:47:48.478Z] 23:47:48 INFO - @chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js:21:25
[task 2019-01-11T23:47:48.478Z] 23:47:48 INFO - waitUntil@chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:22:7
[task 2019-01-11T23:47:48.484Z] 23:47:48 INFO - @chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js:21:9
[task 2019-01-11T23:47:48.493Z] 23:47:48 INFO - AsyncTester_execTest/<@chrome://mochikit/content/browser-test.js:1108:34
[task 2019-01-11T23:47:48.494Z] 23:47:48 INFO - async
Tester_execTest@chrome://mochikit/content/browser-test.js:1099:16
[task 2019-01-11T23:47:48.495Z] 23:47:48 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:997:9
[task 2019-01-11T23:47:48.496Z] 23:47:48 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-01-11T23:47:48.497Z] 23:47:48 INFO - Leaving test bound
[task 2019-01-11T23:47:48.498Z] 23:47:48 INFO - GECKO(3216) | MEMORY STAT | vsize 1781MB | residentFast 346MB | heapAllocated 148MB
[task 2019-01-11T23:47:48.499Z] 23:47:48 INFO - TEST-OK | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | took 242ms
[task 2019-01-11T23:47:48.501Z] 23:47:48 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-01-11T23:47:48.502Z] 23:47:48 INFO - TEST-UNEXPECTED-FAIL | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | Found an unexpected tab at the end of test run: about:blank -
[task 2019-01-11T23:47:48.505Z] 23:47:48 INFO - checking window state
[task 2019-01-11T23:47:48.506Z] 23:47:48 INFO - Console message: [JavaScript Error: "error occurred while processing 'getTab: TypeError: this._browser is null
[task 2019-01-11T23:47:48.507Z] 23:47:48 INFO - Stack: _isZombieTab@resource://devtools/server/actors/targets/frame-proxy.js:137:5
[task 2019-01-11T23:47:48.508Z] 23:47:48 INFO - form@resource://devtools/server/actors/targets/frame-proxy.js:213:9
[task 2019-01-11T23:47:48.510Z] 23:47:48 INFO - onGetTab@resource://devtools/server/actors/root.js:363:19
[task 2019-01-11T23:47:48.511Z] 23:47:48 INFO - AsynconPacket@resource://devtools/server/main.js:1275:15
[task 2019-01-11T23:47:48.512Z] 23:47:48 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:11
[task 2019-01-11T23:47:48.513Z] 23:47:48 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
[task 2019-01-11T23:47:48.514Z] 23:47:48 INFO - DevToolsUtils.executeSoon
exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:57:21
[task 2019-01-11T23:47:48.515Z] 23:47:48 INFO - send@resource://devtools/shared/transport/local-transport.js:58:7
[task 2019-01-11T23:47:48.516Z] 23:47:48 INFO - send@resource://devtools/shared/protocol.js:1399:9
[task 2019-01-11T23:47:48.517Z] 23:47:48 INFO - request@resource://devtools/shared/protocol.js:1417:5
[task 2019-01-11T23:47:48.518Z] 23:47:48 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1539:14
[task 2019-01-11T23:47:48.518Z] 23:47:48 INFO - getTab@resource://devtools/shared/fronts/root.js:226:12
[task 2019-01-11T23:47:48.519Z] 23:47:48 INFO - asynccreateTargetForTab@resource://devtools/client/framework/target.js:90:25
[task 2019-01-11T23:47:48.520Z] 23:47:48 INFO - async
forTab@resource://devtools/client/framework/target.js:39:21
[task 2019-01-11T23:47:48.520Z] 23:47:48 INFO - asynctoggleToolboxCommand@resource://devtools/client/framework/devtools-browser.js:62:26
[task 2019-01-11T23:47:48.521Z] 23:47:48 INFO - async
onKeyShortcut@resource://devtools/client/framework/devtools-browser.js:254:15
[task 2019-01-11T23:47:48.521Z] 23:47:48 INFO - asynconKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:606:15
[task 2019-01-11T23:47:48.522Z] 23:47:48 INFO - async
hookKeyShortcuts/xulKey<@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:53
[task 2019-01-11T23:47:48.522Z] 23:47:48 INFO - EventListener.handleEventcreateKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:630:5
[task 2019-01-11T23:47:48.523Z] 23:47:48 INFO - hookKeyShortcuts@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:22
[task 2019-01-11T23:47:48.523Z] 23:47:48 INFO - hookWindow@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:357:5
[task 2019-01-11T23:47:48.524Z] 23:47:48 INFO - onWindowReady@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:296:5
[task 2019-01-11T23:47:48.525Z] 23:47:48 INFO - _delayedStartup@chrome://browser/content/browser.js:1586:5
[task 2019-01-11T23:47:48.525Z] 23:47:48 INFO - EventListener.handleEvent
onLoad@chrome://browser/content/browser.js:1402:5
[task 2019-01-11T23:47:48.526Z] 23:47:48 INFO - EventHandlerNonNull*@chrome://browser/content/browser.xul:105:19
[task 2019-01-11T23:47:48.527Z] 23:47:48 INFO - Line: 137, column: 5" {file: "resource://devtools/server/main.js" line: 1144}]
[task 2019-01-11T23:47:48.528Z] 23:47:48 INFO - _unknownError@resource://devtools/server/main.js:1144:5
[task 2019-01-11T23:47:48.528Z] 23:47:48 INFO - _queueResponse/responsePromise<@resource://devtools/server/main.js:1173:27
[task 2019-01-11T23:47:48.529Z] 23:47:48 INFO - promise callback*_queueResponse@resource://devtools/server/main.js:1166:8
[task 2019-01-11T23:47:48.529Z] 23:47:48 INFO - onPacket@resource://devtools/server/main.js:1291:7
[task 2019-01-11T23:47:48.530Z] 23:47:48 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:11
[task 2019-01-11T23:47:48.531Z] 23:47:48 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
[task 2019-01-11T23:47:48.531Z] 23:47:48 INFO - DevToolsUtils.executeSoonexports.executeSoon@resource://devtools/shared/DevToolsUtils.js:57:21
[task 2019-01-11T23:47:48.532Z] 23:47:48 INFO - send@resource://devtools/shared/transport/local-transport.js:58:7
[task 2019-01-11T23:47:48.533Z] 23:47:48 INFO - send@resource://devtools/shared/protocol.js:1399:9
[task 2019-01-11T23:47:48.533Z] 23:47:48 INFO - request@resource://devtools/shared/protocol.js:1417:5
[task 2019-01-11T23:47:48.534Z] 23:47:48 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1539:14
[task 2019-01-11T23:47:48.534Z] 23:47:48 INFO - getTab@resource://devtools/shared/fronts/root.js:226:12
[task 2019-01-11T23:47:48.535Z] 23:47:48 INFO - async
createTargetForTab@resource://devtools/client/framework/target.js:90:25
[task 2019-01-11T23:47:48.536Z] 23:47:48 INFO - asyncforTab@resource://devtools/client/framework/target.js:39:21
[task 2019-01-11T23:47:48.537Z] 23:47:48 INFO - async
toggleToolboxCommand@resource://devtools/client/framework/devtools-browser.js:62:26
[task 2019-01-11T23:47:48.538Z] 23:47:48 INFO - asynconKeyShortcut@resource://devtools/client/framework/devtools-browser.js:254:15
[task 2019-01-11T23:47:48.539Z] 23:47:48 INFO - async
onKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:606:15
[task 2019-01-11T23:47:48.540Z] 23:47:48 INFO - asynchookKeyShortcuts/xulKey<@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:53
[task 2019-01-11T23:47:48.541Z] 23:47:48 INFO - EventListener.handleEvent
createKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:630:5
[task 2019-01-11T23:47:48.542Z] 23:47:48 INFO - hookKeyShortcuts@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:22
[task 2019-01-11T23:47:48.543Z] 23:47:48 INFO - hookWindow@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:357:5
[task 2019-01-11T23:47:48.543Z] 23:47:48 INFO - onWindowReady@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:296:5
[task 2019-01-11T23:47:48.544Z] 23:47:48 INFO - _delayedStartup@chrome://browser/content/browser.js:1586:5
[task 2019-01-11T23:47:48.545Z] 23:47:48 INFO - EventListener.handleEventonLoad@chrome://browser/content/browser.js:1402:5
[task 2019-01-11T23:47:48.546Z] 23:47:48 INFO - EventHandlerNonNull
@chrome://browser/content/browser.xul:105:19
[task 2019-01-11T23:47:48.547Z] 23:47:48 INFO -
[task 2019-01-11T23:47:48.548Z] 23:47:48 INFO - GECKO(3216) | console.error: "Exception while trigerring key [object Object]: Protocol error (unknownError): error occurred while processing 'getTab: TypeError: this._browser is null\nStack: _isZombieTab@resource://devtools/server/actors/targets/frame-proxy.js:137:5\nform@resource://devtools/server/actors/targets/frame-proxy.js:213:9\nonGetTab@resource://devtools/server/actors/root.js:363:19\nAsynconPacket@resource://devtools/server/main.js:1275:15\nsend/<@resource://devtools/shared/transport/local-transport.js:64:11\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14\nDevToolsUtils.executeSoonexports.executeSoon@resource://devtools/shared/DevToolsUtils.js:57:21\nsend@resource://devtools/shared/transport/local-transport.js:58:7\nsend@resource://devtools/shared/protocol.js:1399:9\nrequest@resource://devtools/shared/protocol.js:1417:5\ngenerateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1539:14\ngetTab@resource://devtools/shared/fronts/root.js:226:12\nasynccreateTargetForTab@resource://devtools/client/framework/target.js:90:25\nasyncforTab@resource://devtools/client/framework/target.js:39:21\nasynctoggleToolboxCommand@resource://devtools/client/framework/devtools-browser.js:62:26\nasynconKeyShortcut@resource://devtools/client/framework/devtools-browser.js:254:15\nasynconKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:606:15\nasynchookKeyShortcuts/xulKey<@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:53\nEventListener.handleEventcreateKey@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:630:5\nhookKeyShortcuts@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:583:22\nhookWindow@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:357:5\nonWindowReady@jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/devtools-startup.js:296:5\n_delayedStartup@chrome://browser/content/browser.js:1586:5\nEventListener.handleEventonLoad@chrome://browser/content/browser.js:1402:5\nEventHandlerNonNull*@chrome://browser/content/browser.xul:105:19\nLine: 137, column: 5\nundefined"
[task 2019-01-11T23:47:49.900Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3473
[task 2019-01-11T23:47:49.902Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3566
[task 2019-01-11T23:47:49.931Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3435
[task 2019-01-11T23:47:49.932Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3540
[task 2019-01-11T23:47:49.939Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3456
[task 2019-01-11T23:47:49.940Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3514
[task 2019-01-11T23:47:49.941Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3308
[task 2019-01-11T23:47:49.977Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3380
[task 2019-01-11T23:47:49.998Z] 23:47:49 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3410
[task 2019-01-11T23:47:50.006Z] 23:47:50 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3323
[task 2019-01-11T23:47:50.350Z] 23:47:50 INFO - GECKO(3216) | Completed ShutdownLeaks collections in process 3216

Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257241272&repo=try&lineNumber=14904

22:23:22 INFO - TEST-START | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js
22:23:22 INFO - TEST-INFO | started process screencapture
22:23:22 INFO - TEST-INFO | screencapture: exit 0
22:23:22 INFO - Buffered messages logged at 22:23:22
22:23:22 INFO - Entering test bound
22:23:22 INFO - Add an about:blank tab
22:23:22 INFO - Adding a new tab with URL: about:blank
22:23:22 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
22:23:22 INFO - Tab added and finished loading
22:23:22 INFO - Trigger the toogle toolbox shortcut
22:23:22 INFO - Wait for the about:devtools tab to be selected
22:23:22 INFO - Buffered messages finished
22:23:22 INFO - TEST-UNEXPECTED-FAIL | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:108 - TypeError: browser.documentURI is null
22:23:22 INFO - Stack trace:
22:23:22 INFO - isAboutDevtoolsTab@chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:108:20
22:23:22 INFO - @chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js:21:25
22:23:22 INFO - waitUntil@chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/head.js:20:7
22:23:22 INFO - @chrome://mochitests/content/browser/devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js:21:9
22:23:22 INFO - Leaving test bound
22:23:22 INFO - GECKO(1817) | MEMORY STAT | vsize 6971MB | residentFast 318MB | heapAllocated 168MB
22:23:22 INFO - TEST-OK | devtools/startup/aboutdevtools/test/browser_aboutdevtools_reuse_existing.js | took 107ms

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

In the last 7 days there were 45 failures associated with this bug: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-08-14&endday=2019-08-21&tree=trunk&bug=1519586
Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=262630907&repo=autoland&lineNumber=5724
Occurs on macosx1014-64,macosx1014-64-shippable, macosx1014-64-shippable debug and opt build types.
:pbro, can you please assign this to someone?

Flags: needinfo?(pbrosset)

Julian worked on this test I believe, let me pass this on to him for investigation.

Flags: needinfo?(pbrosset) → needinfo?(jdescottes)
Priority: P5 → P2

In the last 7 days there were 37 failures, Occurs on macosx1014-64,macosx1014-64-shippable, macosx1014-64-shippable debug and opt build types.

Recent failure log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=264400611&repo=autoland&lineNumber=19418

Julian: Can you please take a look at this bug?

Not sure what triggered the spike, but one of the helpers can crash if the test tries to check the tab's URL too soon.

Flags: needinfo?(jdescottes)
Assignee: nobody → jdescottes
Status: REOPENED → ASSIGNED
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4f818a4e3e76
Fix js error in browser_aboutdevtools_reuse_existing.js r=ladybenko
Status: ASSIGNED → RESOLVED
Closed: 9 months ago3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 71
You need to log in before you can comment on or make changes to this bug.